## org.codehaus.plexus.component.repository
Class ComponentSetDescriptor

    java.lang.Object
      org.codehaus.plexus.component.repository.ComponentSetDescriptor

    public class ComponentSetDescriptor

extends java.lang.Object

Contains a set of ComponentDescriptors and the set's dependencies.

Version:
  $Id: ComponentSetDescriptor.java 6064 2007-03-13 12:39:55Z trygvis $
Author:
  Jason van Zyl, Trygve Laugstøl

Constructor Summary
`ComponentSetDescriptor()`

Method Summary
`void` `addComponentDescriptor(ComponentDescriptor cd)` Add a new ComponentDescriptor to this set.
`void` `addDependency(ComponentDependency cd)` Add a depenency to this set's contents.
`java.util.List` `getComponents()` Returns a list of components in this set.
`java.util.List` `getDependencies()` Returns a List of dependencies of this set of components.
`java.lang.String` `getId()` Returns the identifier of this set.
`boolean` `isIsolatedRealm()` Returns true if this set may be in an isolated classrealm.
`void` `setComponents(java.util.List components)` Sets a List of components as this set's contents.
`void` `setDependencies(java.util.List dependencies)` Sets a List of dependencies as this set's component dependencies.
`void` `setId(java.lang.String id)` Sets the identifier of this set.
`void` `setIsolatedRealm(boolean isolatedRealm)` Sets that this set of components may be in an isolated classrealm.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentSetDescriptor

    public ComponentSetDescriptor()

Method Detail

### getComponents

    public java.util.List getComponents()

  Returns a list of components in this set.

  Returns:
    a list of components

### addComponentDescriptor

    public void addComponentDescriptor(ComponentDescriptor cd)

  Add a new ComponentDescriptor to this set.

  Parameters:
    `cd` - the ComponentDescriptor to add

### setComponents

    public void setComponents(java.util.List components)

  Sets a List of components as this set's contents.

  Parameters:
    `components` - the List of components to set

### getDependencies

    public java.util.List getDependencies()

  Returns a List of dependencies of this set of components.

  Returns:
    a List of dependencies of this set of components

### addDependency

    public void addDependency(ComponentDependency cd)

  Add a depenency to this set's contents.

  Parameters:
    `cd` - the ComponentDependency to add

### setDependencies

    public void setDependencies(java.util.List dependencies)

  Sets a List of dependencies as this set's component dependencies.

  Parameters:
    `dependencies` - the List of components to set

### setIsolatedRealm

    public void setIsolatedRealm(boolean isolatedRealm)

  Sets that this set of components may be in an isolated classrealm.

  Parameters:
    `isolatedRealm` - true if this set of components may be in an isolated classrealm

### isIsolatedRealm

    public boolean isIsolatedRealm()

  Returns true if this set may be in an isolated classrealm.

  Returns:
    true if this set may be in an isolated classrealm

### getId

    public java.lang.String getId()

  Returns the identifier of this set.

  Returns:
    the identifier of this set

### setId

    public void setId(java.lang.String id)

  Sets the identifier of this set.

  Parameters:
    `id` - the identifier to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2011. All Rights Reserved.